2009/1/12 Miguel Solla <brado...@gmail.com>

> A ver. Entendo que hunspell e myspell son basicamente a mesma cousa
> (hunspell ten regras de composición que precisa o húngaro a maiores, pero
> dubido que lle teña que afectar ao galego), O caso é que se instalas
> hunspell (coas LOCALES en gl), ten como paquete dependente o myspell-gl-es
> (que instala o corrector en mínimos, supoño que creado automaticamente das
> versións anteriores de ispell con ispellaff2myspell, pero tampouco che sei).
> O enchant, por omisión, vai ir buscar o corrector de myspell que estea
> instalado. Non sei se é preciso poñerse en contacto con quen forneza a
> distribución de myspell, pero hai mensaxes na lista de contactos para a
> creación dunha nova versión de hunspell, que, na miña opinión, debe ter en
> conta esta particularidade: o dicionario e a arquivo de afixos que vai usar
> hunspell non se instalan co propio hunspell, senón co paquete de myspell da
> lingua en cuestión
> Respecto a que poedit use enchant, creo que estás completamente errado.
> Podes poñer todos os arquivos que queiras nos directorios de enchant, que
> poedit vai buscar o dcionario e os afixos ao directorio de myspell (a
> diferenza de gedit, lokalize... que van usar os de enchant, se existen, e,
> se non, os de myspell). Tamén é interesante que o wodrforge deixa ir buscar
> os arquivos ao directorio que queiramos.
>
> 2009/1/12 Leandro Regueiro <leandro.regue...@gmail.com>
>
> > Acabo de copiar os ficheiros do hunspell para directorio
>> > /usr/share/myspell/dicts .É preciso para que tire o analizador
>> morfolóxico
>> > (particularmente, mudeille o nome aos preexistentes en mínimos).
>> > Sen modificar máis nada (do enchant...) xa funcionaba non só o gedit,
>> senón
>> > tamén poedit (catálogo, opcións, lingua galician)...
>> > Todo indica que viría de perlas unha distribución do myspell cos
>> ficheiros
>> > do hunspell
>>
>> Non sei se estou trabucado, pero penso que o hunspell e mailo myspell
>> poñen os ficheiros no mesmo sitio, así que non vexo razón para ter un
>> paquete para o myspell. Por outra banda tanto o Poedit coma o Gedit
>> usan enchant, que á súa vez usa tódolos correctores que haxa
>> instalados, así que se temos o hunspell, que en teoría é o máis
>> avanzado, pois tampouco hai necesidade de manter nada para o myspell.
>>
>> Ata logo,
>>                        Leandro Regueiro
>>
>
>

Responderlle a